* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  /*overscroll-behavior: none;
  user-select: none;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  -webkit-tap-highlight-color: transparent;*/
}

html {
  min-height: 100%;
  width: 100%;
}

body {
  font-family: 'MontserratRegular', -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
}

#root {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.react-datepicker {
  background-color: #aeaeae !important;
}

.react-datepicker__day--selected, .react-datepicker__day--keyboard-selected {
  background-color: #1F1F1F !important;
}

.react-datepicker__triangle {
  display: none;
}

#landscape-not-supported {
  display: none;
}

a.white {
  color: white;
  text-decoration: underline;
  text-decoration-color: white;
  cursor: pointer;
}

a.white:hover,
a.white:focus,
a.white:active,
a.white:visited {
  color: white;
  text-decoration: underline;
  text-decoration-color: white;
}

a.markdown-link {
  color: var(--markdown-text-color);
  text-decoration: underline;
  text-decoration-color: white;
  cursor: pointer;
}

a.markdown-link:hover,
a.markdown-link:focus,
a.markdown-link:active,
a.markdown-link:visited {
  color: var(--markdown-text-color);
  text-decoration: underline;
  text-decoration-color: var(--markdown-text-color);
}

ol.markdown-ol {
  list-style: none;
  counter-reset: item;
  padding-left: 0 !important;
}

ol.markdown-ol li {
  display: flex;
  align-items: flex-start;
}

ol.markdown-ol li::before {
  content: counter(item) ".";
  counter-increment: item;
  width: 23px; /* Space between bullet and text */
  flex-shrink: 0; /* Prevent the bullet from shrinking */
}

ul.markdown-ul {
  list-style: none; /* Remove default bullets */
  padding-left: 0;
  padding: 0 !important;
}

ul.markdown-ul li {
  display: flex;
  align-items: flex-start; /* Align bullet and text */
}

ul.markdown-ul li::before {
  content: '•'; /* Custom bullet character */
  font-size: 24px;
  width: 23px; /* Space between bullet and text */
  line-height: 0.8;
  flex-shrink: 0; /* Prevent the bullet from shrinking */
}

ul.markdown-ul li:not(:last-child) {
  padding-bottom: 1px;
}

@media screen and (max-width: 767px) and (orientation: landscape) {

  #landscape-not-supported {
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #4B494D;
    z-index: 999999;
  }
}

/* Modern browsers with `scrollbar-*` support */
@supports (scrollbar-width: auto) {
  * {
      scrollbar-color: var(--scrollbar-color-thumb) var(--scrollbar-color-track);
      scrollbar-width: var(--scrollbar-width);
  }
}

/* Legacy browsers with `::-webkit-scrollbar-*` support */
@supports selector(::-webkit-scrollbar) {
  *::-webkit-scrollbar-thumb {
      background: var(--scrollbar-color-thumb);
  }
  *::-webkit-scrollbar-track {
      background: var(--scrollbar-color-track);
  }
  *::-webkit-scrollbar {
      max-width: var(--scrollbar-width-legacy);
      max-height: var(--scrollbar-width-legacy);
  }
}